PUT
/v1/listings/{uuid}
const url = 'https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000';const options = { method: 'PUT', headers: { 'HttpHeaders.AUTHORIZATION': 'eyJhbGciOiJIUzI1NiIsInR5...', 'Content-Type': 'application/json' }, body: '{"category":"Familie_Kind_Baby/Spielzeug","title":"Updated Listing Title","description":"Updated description","price":{"type":"FIXED","amount":120}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000 \ --header 'Content-Type: application/json' \ --header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...' \ --data '{ "category": "Familie_Kind_Baby/Spielzeug", "title": "Updated Listing Title", "description": "Updated description", "price": { "type": "FIXED", "amount": 120 } }'Updates a listing specified by its uuid and all the publications connected to it
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” uuid
required
string
Example
123e4567-e89b-12d3-a456-426614174000Header Parameters
Section titled “Header Parameters ” HttpHeaders.AUTHORIZATION
required
Request Body required
Section titled “Request Body required ”Listing data to be update
Media type application/json
object
title
string | null
category
string | null
description
string | null
attributes
object | null
adType
string | null
email
string | null
phoneNumber
string | null
customReference
string | null
contactPerson
string | null
buyNow
boolean | null
Example
{ "category": "Familie_Kind_Baby/Spielzeug", "title": "Updated Listing Title", "description": "Updated description", "price": { "type": "FIXED", "amount": 120 }}Responses
Section titled “ Responses ”Listing updated successfully for the specified uuid
Listing not found
Media type application/json
object
type
string format: uri
title
string | null
status
integer format: int32
detail
string | null
instance
string | null format: uri
properties
object | null
Example
{ "type": "about:blank", "status": 404, "title": "Not Found", "detail": "Listing not found", "instance": "/api/v1/listings/123e4567-e89b-12d3-a456-426614174000", "localizedTitle": "", "localizedDetail": "", "localizedMessage": ""}